Library Version 11.2.5.3

DbEnv::mutex_get_init()
Prev | Chapter 10. Mutex Methods | Next

## DbEnv::mutex_get_init()

    #include <db_cxx.h>

    int
    DbEnv::mutex_get_init(u_int32_t *init);

The `DbEnv::mutex_get_init()` method returns the inital number of mutexes allocated. This value can be set using the DbEnv::mutex_set_init() method.

The `DbEnv::mutex_get_init()` method may be called at any time during the life of the application.

The `DbEnv::mutex_get_init()` method either returns a non-zero error value or throws an exception that encapsulates a non-zero error value on failure, and returns 0 on success.

### Parameters

#### init

The `DbEnv::mutex_get_init()` method returns the inital number of mutexes allocated in init.

### Class

DbEnv

### See Also

Mutex Methods

Prev | Up | Next
DbEnv::mutex_get_increment() | Home | DbEnv::mutex_get_max()